Issue a credit note against an invoice.
curl --request POST \
--url https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"CreditAmount": 123,
"CreditReason": "<string>",
"CreditType": "<string>"
}
'import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit"
payload = {
"CreditAmount": 123,
"CreditReason": "<string>",
"CreditType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({CreditAmount: 123, CreditReason: '<string>', CreditType: '<string>'})
};
fetch('https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'CreditAmount' => 123,
'CreditReason' => '<string>',
'CreditType' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit"
payload := strings.NewReader("{\n \"CreditAmount\": 123,\n \"CreditReason\": \"<string>\",\n \"CreditType\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"CreditAmount\": 123,\n \"CreditReason\": \"<string>\",\n \"CreditType\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"CreditAmount\": 123,\n \"CreditReason\": \"<string>\",\n \"CreditType\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body"string"Invoices & payments
Issue a credit note against an invoice.
Issue a credit note against an invoice. CreditType is one of account_balance, payment_method (refund to the payment method) or out_of_band. The credit note is created in the connected Stripe account.
POST
/
api
/
v1
/
billing
/
stripe
/
invoices
/
{invoiceUid}
/
issue-credit
Issue a credit note against an invoice.
curl --request POST \
--url https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"CreditAmount": 123,
"CreditReason": "<string>",
"CreditType": "<string>"
}
'import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit"
payload = {
"CreditAmount": 123,
"CreditReason": "<string>",
"CreditType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({CreditAmount: 123, CreditReason: '<string>', CreditType: '<string>'})
};
fetch('https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'CreditAmount' => 123,
'CreditReason' => '<string>',
'CreditType' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit"
payload := strings.NewReader("{\n \"CreditAmount\": 123,\n \"CreditReason\": \"<string>\",\n \"CreditType\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"CreditAmount\": 123,\n \"CreditReason\": \"<string>\",\n \"CreditType\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.outseta.com/api/v1/billing/stripe/invoices/{invoiceUid}/issue-credit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"CreditAmount\": 123,\n \"CreditReason\": \"<string>\",\n \"CreditType\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body"string"Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The invoice's unique identifier
Body
application/json
The amount, reason and type of the credit
Response
The response is of type file.